## This document / folder has been archived, and will no longer be maintained or updated. The current version can be found in the Zcash Foundation’s new canonical [GitHub repo](https://github.com/ZcashFoundation/zfnd/blob/master/about/mission.md), which publishes directly to a corresponding section of our [website](https://www.zfnd.org/about/#mission).

## Archival date: 1/17/2019

Zcash Foundation Mission Statement
==================================
Per our [501(c)3 application](IncorporationDocs/Zcash%20Foundation%201023.pdf), our mission is to be a public charity dedicated to building Internet payment and privacy infrastructure for the public good, primarily serving the users of the Zcash protocol and blockchain. Our activities span three main pillars:

### 1. Community
-----
We support the transition of Zcash into a large and healthy community with diverse stakeholders, held accountable to its userbase in the broadest sense. Our activities include sponsoring a conference for developers, miners, and other community members, to help jump start the conversation. We also plan to organize mailing lists that give voice to groups of stakeholders that might not otherwise have them.

Our own governance structure is designed especially with public transparency in mind (see our [VALUES file](VALUES.md)). So that can be effectively held accountable to the community we serve.

### 2. Protocol and Governance
-----
The Zcash protocol and the open network it powers is valuable, privacy-protecting Internet infrastructure; it should be developed and maintained by an open and diverse community of experts and enthusiasts, and it should remain always a tool for financial privacy available to the general public.

We will act as stewards of the Zcash protocol, providing leadership and supporting its continued maintenance and improvement.  

We will offer responsive leadership when changes are necessary on short notice, such as a hard fork to resist an attack.

We will help coordinate on upgrades to the protocol. This can include organizing soft forks, organizing hard forks, and helping to conduct "ceremonies" such as parameter generation (should more of those be necessary). 

### 3. Science
-----
Technical decisions are best supported by scientific activities, such as rigorous validation, empirical measurement, and continued innovation and refinement. We will therefore support these activities within our community. All cryptocurrencies, but especially Zcash, rely on cutting-edge contributions from the scientific research community, thus interaction with this community can also help the community stay healthy.

We will encourage this scientific research and educate the public regarding the substance and benefits of these scientific developments.
